
var saniye = 1000;
var dakika = saniye * 60;
var saat = dakika * 60;
var gün = saat * 24;
var hafta = gün * 7;
var yıl = gün * 365.25;

function msçevir(str) {
  if (!isNaN(Number(str))){
    return Number(str)
  }
  str = String(str);
  if (str.length > 100) {
    return;
  }
  var match = /^(-?(?:\d+)?\.?\d+) *(milisaniye?|ms?|milisecond?|miliseconds|second?|seconds?|saniye?|sn?|sec?|san?|sa?|s|d?|min?|dk?|dakika?|minutes?|minute?|m?|dak|saat?|hours?|hour|gün?|gun?|g?|day?|days|hafta?|h?|ha?|weeks?|week|yıl?|years?|year?|y)?$/i.exec(
    str
  );
  if (!match) {
    return;
  }
  var n = parseFloat(match[1]);
  var type = (match[2] || 'ms')
  switch (type) {
    case 'yıl':
    case 'y':
    case 'years':
    case 'year':
      return n * yıl;
    case 'hafta':
    case 'h':
    case 'ha':
    case 'week':
    case 'weeks':
      return n * hafta;
    case 'gün':
    case 'gun':
    case 'g':
    case 'day':
    case 'days':
      return n * gün;
    case 'saat':
    case 'hour':
    case 'hours':
      return n * saat;
    case 'd':
    case 'dak':
    case 'dk':
    case 'dakika':
    case 'minute':
    case 'minutes':
    case 'min':
      return n * dakika;
    case 'sec':
    case 'sa':
    case 'sn':
    case 's':
    case 'san':
    case 'seconds':
    case 'second':
    case 'saniye':
      return n * saniye;
    case 'milisecond':
    case 'miliseconds':
    case 'ms':
    case 'milisaniye':
      return n;
  }
}

function rhinoinc(çevrilecekdeğer) {
  var type = typeof çevrilecekdeğer;
  if (type === 'string' && çevrilecekdeğer.length > 0) {
    return msçevir(çevrilecekdeğer);
  } else if (type === 'number') {
    return çevrilecekdeğer
  }
  throw new Error('Geçersiz Bir Değer Girdiniz')
}


module.exports = rhinoinc